#ifndef THREADOBJECT_H
#define THREADOBJECT_H
#include <functional>

#include <QMessageBox> 
#include <QObject>
#include <QProcess>
#include <QThread>
#include <QVector>

#include <iostream>

//#include "MultiQProcess.h"

//#include "qtclasslibrary1_global.h"
#include "SrsMainPluginInterFace.h"
#include "ui_DEM_GeneVec.h"
//#include "Extract.h"

using namespace std;

class TrainMoudle;

class WorkThreadObject :public QObject
{
	Q_OBJECT
public:
	WorkThreadObject(QObject* parent = NULL);
	~WorkThreadObject();

	void on_cancel();

signals:
	void process(double value);
	void addDataToMap();

public slots:
	//void RunWork(QString landsat_file, QString gf_file, QString tvdi_file);
	//void RunWork(QString file1, QString file2, QString file_out, std::function<void(int)>progressCallback);
	//void RunWork(QString file1, QString file2, QString file_out);
	void runTrainWork(QString inModel, QString dom, QString dsm, QString label, QString outModel, bool mid, bool train, QString epoch1, QString epoch2);
	void on_read();

private:
	QProcess* mProces = nullptr;
};

#endif
